<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/transparent"
    tools:context=".view.MainActivity">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.85" />
    <!-- <androidx.viewpager.widget.ViewPager
         android:id="@+id/viewPager"
         android:layout_width="match_parent"
         android:layout_height="0dp"
         app:layout_constraintBottom_toTopOf="@id/guideline"
         app:layout_constraintTop_toTopOf="parent" />-->
    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@id/guideline"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/appListRv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:clipToPadding="false"
            android:padding="@dimen/item_offset"
            android:scrollbars="horizontal"
            app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
            app:spanCount="4"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent" />
    </FrameLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/systemTray"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="@dimen/system_tray_margin"
        android:background="@android:color/transparent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/guideline">

        <LinearLayout
            android:id="@+id/appSystemTrayLinear"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal"
            android:visibility="visible"
            android:weightSum="4">

            <ImageView
                android:id="@+id/systemTrayApp1"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/system_tray_image_margin"
                android:layout_weight="1"
                android:cropToPadding="true"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/systemTrayApp2"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/system_tray_image_margin"
                android:layout_weight="1"
                android:cropToPadding="true"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/systemTrayApp3"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/system_tray_image_margin"
                android:layout_weight="1"
                android:cropToPadding="true"
                tools:ignore="ContentDescription" />

            <ImageView
                android:id="@+id/systemTrayApp4"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/system_tray_image_margin"
                android:layout_weight="1"
                android:cropToPadding="true"
                tools:ignore="ContentDescription" />
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>